# isValidAddress | xrpl
Documentation for xrpl

# Function isValidAddress

- isValidAddress(address: string): boolean

- Validates that a given address is a valid X-Address or a valid classic address.

  ### Returns

  True if address is a valid X-Address or classic address.

  #### Parameters

  - ##### address: string

    Address to validate.

  #### Returns boolean

  - Defined in packages/xrpl/src/utils/index.ts:137

Generated using TypeDoc